#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <mainwidget.h>
#include <mesh.h>
#include "camera.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    MainWidget *m_centralWidget;

    QToolBar *toolBar;
    QAction *loadMesh;
    QAction *switchInterpolation;
    QAction *switchRotation;
    QAction *stopAnimation;
    QAction *nextAnimation;
    QAction *CamHome;


};

#endif // MAINWINDOW_H
